package com.yc.education.service;/**
 * huangpan
 * 2019/11/5
 * tongnai
 */

import com.yc.education.model.News;

import java.util.List;

/**
 *@ClassName NewsService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/11/5 11:56
 *@Version 1.0
 */
public interface NewsService  extends IService<News> {
    /*查询所有*/
    List<News> getNews(Integer pageSize,Integer pageNum,String titleName,String startTime,String endTime);

    /*查询单条*/
    News getNewsById(Integer id);

    /*删除信息*/
    void delNewsById(Integer id);

    /*前端默认查询最高值*/
    News selNewsId();

    /*前端无条件查询*/
    List<News> selNews();

    /*根据已知id查询上一页*/
    News selNewsSize(Integer id);

    /*根据已知id查询下一页*/
    News selNewsNum(Integer id);
}
